Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit
Class ActionContext

    java.lang.Object
      org.gjt.sp.jedit.ActionContext

public abstract class ActionContext
extends java.lang.Object

Manages a collection of action sets. There are two instances of this class in jEdit:

- `jEdit.getActionContext()` - editor actions
- `VFSBrowser.getActionContext()` - browser actions

Since:
  jEdit 4.2pre1
Version:
  $Id: ActionContext.java,v 1.4 2004/03/20 06:08:49 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`ActionContext()`

Method Summary
`void` | `addActionSet(ActionSet actionSet)` Adds a new action set to the context.
`EditAction` | `getAction(java.lang.String name)` Returns the specified action.
`java.lang.String[]` | `getActionNames()` Returns all registered action names.
`ActionSet` | `getActionSetForAction(java.lang.String action)` Returns the action set that contains the specified action.
`ActionSet[]` | `getActionSets()` Returns all registered action sets.
`abstract void` | `invokeAction(java.util.EventObject evt, EditAction action)` Invokes the given action in response to a user-generated event.
`void` | `removeActionSet(ActionSet actionSet)` Removes an action set from the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionContext

    public ActionContext()

Method Detail

### invokeAction

    public abstract void invokeAction(java.util.EventObject evt,
                                      EditAction action)

  Invokes the given action in response to a user-generated event.

  Parameters:
    `evt` - The event
    `action` - The action
  Since:
    jEdit 4.2pre1

### addActionSet

    public void addActionSet(ActionSet actionSet)

  Adds a new action set to the context.

  Since:
    jEdit 4.2pre1

### removeActionSet

    public void removeActionSet(ActionSet actionSet)

  Removes an action set from the context.

  Since:
    jEdit 4.2pre1

### getActionSets

    public ActionSet[] getActionSets()

  Returns all registered action sets.

  Since:
    jEdit 4.2pre1

### getAction

    public EditAction getAction(java.lang.String name)

  Returns the specified action.

  Parameters:
    `name` - The action name
  Since:
    jEdit 4.2pre1

### getActionSetForAction

    public ActionSet getActionSetForAction(java.lang.String action)

  Returns the action set that contains the specified action.

  Parameters:
    `action` - The action
  Since:
    jEdit 4.2pre1

### getActionNames

    public java.lang.String[] getActionNames()

  Returns all registered action names.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD